🔗 REST APIMetadata
List all exchanges
Get a detailed list of exchanges provided by the system.
Properties of the output are providing aggregated information from across all symbols related to the specific exchange. If you need to calculate your aggregation (e.g., limiting only the particular type of symbols), you should use /v1/symbols endpoint as a data source.
GET
header
Authorization<token>API Key is required to access the endpoints
filter_exchange_id?stringComma or semicolon delimited exchange identifiers used to filter response. (optional, eg. BITSTAMP;GEMINI)
successful operation
- response
[index: integer]?Represents an exchange.
curl -X GET 'https://rest.coinapi.io/v1/exchanges'[ { "exchange_id": "OKCOINCNY", "website": "https://www.okcoin.cn/", "name": "OKCoin CNY", "data_quote_start": "2015-02-15T12:53:50.3430000Z", "data_quote_end": "2018-03-09T23:34:52.5800000Z", "data_orderbook_start": "2015-02-15T12:53:50.3430000Z", "data_orderbook_end": "2018-03-09T23:34:52.5800000Z", "data_trade_start": "2013-06-12T14:24:24.0000000Z", "data_trade_end": "2017-11-01T16:30:39.7077259Z", "data_symbols_count": 2, "volume_1hrs_usd": 0, "volume_1day_usd": 0, "volume_1mth_usd": 0, "rank": 1 }, { "exchange_id": "HUOBI", "website": "https://www.huobi.com/", "name": "Huobi (HBUS)", "data_quote_start": "2015-03-29T21:46:06.2630000Z", "data_quote_end": "2019-11-03T18:22:29.1837496Z", "data_orderbook_start": "2015-03-29T21:46:06.2630000Z", "data_orderbook_end": "2019-11-03T18:23:53.2859878Z", "data_trade_start": "2015-03-29T21:46:08.7030000Z", "data_trade_end": "2019-11-03T18:21:48.2770000Z", "data_symbols_count": 403, "volume_1hrs_usd": 1605.8, "volume_1day_usd": 59957.44, "volume_1mth_usd": 1259508.43, "rank": 5 }]